## org.omg.CORBA
Class MARSHALHelper

    java.lang.Object
      |
      +--org.omg.CORBA.MARSHALHelper

public class MARSHALHelper
extends java.lang.Object

Helper class for : MARSHAL

Author:
  OpenORB Compiler

Constructor Summary
`MARSHALHelper()`

Method Summary
`static MARSHAL` `extract(Any a)` Extract MARSHAL from an any
`static java.lang.String` `id()` Return the MARSHAL IDL ID
`static void` `insert(Any a, MARSHAL t)` Insert MARSHAL into an any
`static MARSHAL` `read(InputStream istream)` Read MARSHAL from a marshalled stream
`static TypeCode` `type()` Return the MARSHAL TypeCode
`static void` `write(OutputStream ostream, MARSHAL value)` Write MARSHAL into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MARSHALHelper

    public MARSHALHelper()

Method Detail

### insert

    public static void insert(Any a,
                              MARSHAL t)

  Insert MARSHAL into an any
  Parameters:
    `a` - an any
    `t` - MARSHAL value

### extract

    public static MARSHAL extract(Any a)

  Extract MARSHAL from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted MARSHAL value

### type

    public static TypeCode type()

  Return the MARSHAL TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the MARSHAL IDL ID
  Returns:
    an ID

### read

    public static MARSHAL read(InputStream istream)

  Read MARSHAL from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed MARSHAL value

### write

    public static void write(OutputStream ostream,
                             MARSHAL value)

  Write MARSHAL into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - MARSHAL value